/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../util/array.h"
#include "../render/look.h"
#include "../dealer.h"
#include "../card.h"
#include "bet.h"

/**
 * Resets a poker game for the new round.
 * @param poker Poker game to reset to a new round.
 */
void pokerDealInit(poker_t *poker);