/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../../libs.h"

/** Which is the first character within the font tilemap */
#define BITMAP_FONT_CHAR_START 33

/** Center a font along the X axis */
#define BITMAP_FONT_CENTER_X 9876543

/** Center a font along the Y axis */
#define BITMAP_FONT_CENTER_Y -BITMAP_FONT_CENTER_X

/** Align right edge of font to origin */
#define BITMAP_FONT_RIGHT_X (BITMAP_FONT_CENTER_X-1)

typedef struct {
  float width, height;
  int32_t lines;
} bitmapfontmeasure_t;