/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"

/**
 * Representation for a matrix. Used as a highlevel wrapper for the math 
 * functions that sit underneath this API.
 */
typedef struct {
  /** Internal Matrix API */
  mat4 internalMatrix;
} matrix_t;